<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>PIMCity Demonstration</title>
        <!-- Bootstrap -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
        <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
        <style>
            .video-responsive{
                overflow:hidden;
                padding-bottom:56.25%;
                position:relative;
                height:0;
            }
            .video-responsive iframe{
                left:0;
                top:0;
                height:100%;
                width:100%;
                position:absolute;
            }
        </style>
    </head>
    <body>
        <div class="jumbotron text-center" style="background-color:#6EB006">
            <div class="container"  >
                <div class="row align-items-center h-100 p-3">
                    <div class="col-sm-1 align-middle">
                        <a href="https://www.pimcity-h2020.eu/"><img src="https://www.pimcity-h2020.eu/app/uploads/2019/10/cropped-PIMcity_RGB_logo_white_backgound.png" class="rounded" style="background-color:#EEEEEE; Padding:5px" width=100px /> </a>
                    </div>
                    <div class="col-sm-11">
                        <h1>PIMCity Demonstration</h1>
                        <p>BUILDING THE NEXT GENERATION PERSONAL DATA PLATFORMS</p>
                    </div>
                </div>
            </div>
        </div>
        
        <br/><br/>
        <div class="container" style="text-align: left;" >
            <div class="row p-2 rounded" style="background-color:#6EB006">
                <h2>Personal-Privacy Metrics</h2>
            </div>
            <div class="row p-2 rounded" >
                <div class="col-sm-3">
                    <img src="https://gitlab.com/pimcity/pdk-description/-/raw/main/images/ppm.png" class="card-img-top" alt="PDS">

                </div>
                <div class="col-sm-9">
                    <strong>Personal Privacy Metrics (P-PM)</strong> represent the means to increase the user’s awareness. This component collects, computes and shares easy-to-understand data to allow users know how a service (e.g., a data buyer) stores and manages the data, if it shares it with third parties, how secure and transparent it looks, etc. These are all fundamental pieces of information for a user to know to take informed decisions. The PM computes this information via a standard REST  interface, offering an open knowledge information system which can be queried using an open and standard platform.  PMs combine information from supervised machine learning analytics, services themselves and domain experts, volunteers, and contributors.
                    Its implementation builds on <em>MongoDB</em> (for the database), <em>Python/Flask</em> and <em>Swagger</em> (for the server).
                </div>
                
            </div>
            <div class="row p-2 rounded" >
                <div class="col-sm-4 col-md-4">
                    <h5> Access the Web UI</h5>
                    It is possible to access the Web Interface of the Personal-Privacy Metrics by clicking the button below.
                    <br/>
                    <a href="https://easypims.pimcity-h2020.eu/privacy-metrics/ui/" 
                        class="btn btn-primary">Go to the online Demonstrator</a>
                </div>

                <div class="col-sm-4 col-md-4">
                    <h5> Source Code</h5>
                    The project is open-source and its code is on the online repository:
                    <br/>
                    <a href="https://gitlab.com/pimcity/wp2/privacy_metrics" 
                        class="btn btn-primary">GitLab</a>
                </div>

                <div class="col-sm-4 col-md-4" >
                    <h5> Licence </h5>
                    The P-PM is distributed under AGPL-3.0-only, see the LICENSE file in the project repository.
                    <br/>
                    Copyright (C) 2021 <a href="https://www.ermes.company">Ermes Cyber Security S.R.L.</a>
                    <br/>
                </div>
        </div>

        <div class="row p-2 rounded" >
            <div class="col-lg-1"></div>
            <div class="col-sm-12 col-md-6 col-lg-5">
                <br/>
                <h5>Demonstation video</h5>
                In this video we show how to:
                <ul>
                 <li>Check the status of the system with <code> GET /health </code> API.</li>
                 <li>Insert a new Privacy Metric with <code> POST /privacy-metrics </code> API.</li>
                 <li>Download an existing Privacy Metric with <code> GET /privacy-metrics/{name}/ </code> API.</li>
                 <li>Modify a section of an existing Privacy Metric with <code> PUT /privacy-metrics/{name}/provided_information </code> API.</li>
                </ul>
                The video also shows how Scores are updated as soon as the Privacy Metric is created of modified.
            </div>
            <div class="col-sm-12 col-md-6 col-lg-5">
                <br/>
                <div class="video-responsive" style="text-align: center;">
                    <iframe width="720" height="540"
                    src="https://www.youtube.com/embed/dQw4w9WgXcQ?autoplay=0">
                    </iframe> 
                </div>
                <br/>
            </div>
        </div>
        <div class="row p-2 rounded" > 
        
        <br/><br/>
        <footer class="footer" style="background-color:#6EB006">
            <div class="container">
                <div id="footer-bottom" class="clr no-footer-nav">
                    <div id="footer-bottom-inner" class="container clr">
                        <div id="copyright" class="clr" role="contentinfo">
                            This project has received funding from the European Union Horizon 2020 Research and Innovation programme under <a href="https://cordis.europa.eu/project/rcn/225755/factsheet/en">Grant Agreement No. 871370
                        </div>
                        <!-- #copyright -->
                    </div>
                    <!-- #footer-bottom-inner -->
                </div>
            </div>
        </footer>
        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
        <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.1/js/bootstrap.min.js"></script>
    </body>
</html>